device_type: "qemu"

job_name: "tuxrun@qemu-i386: kunit"
priority: "medium"
visibility: "public"

context:
    arch: "i386"
    machine: "q35"
    cpu: "coreduo"
    memory: "4G"
    extra_options: ["-no-reboot", "-smp 2"]
    no_kvm: true
    no_network: true
timeouts:
  job:
    minutes: 40
  action:
   minutes: 5
  actions:
    power-off:
      seconds: 30

actions:
- deploy:
    to: tmpfs
    timeout:
      minutes: 5
    os: oe
    images:
      kernel:
        image_arg: '-kernel {kernel} -append "console=ttyS0,115200 rootwait root=/dev/sda debug verbose console_msg_format=syslog earlycon"'
        url: "https://storage.tuxboot.com/buildroot/i386/bzImage"
      rootfs:
        image_arg: "-drive file={rootfs},if=ide,format=raw"
        url: "https://storage.tuxboot.com/buildroot/i386/rootfs.ext4.zst"
        compression: zstd
        format: ext4
        overlays:
          lava: true
- boot:
    method: qemu
    timeout:
      minutes: 15
    auto_login:
      login_prompt: 'login:'
      username: root
    prompts:
    - 'root@(.*):[/~]#'
- test:
    timeout:
      minutes: 20
    definitions:
    - repository: file://testdef.tar.zst
      lava-signal: kmsg
      from: url
      compression: zstd
      path: automated/linux/kunit/kunit.yaml
      name: kunit
      parameters:
        KUNIT_TEST_MODULE: "kunit-test.ko"
